<template>
  <v-app>
    <v-container v-if="isHome" fluid class="nav pa-0">
      <navigation />
    </v-container>
    <v-container fluid class="main py-4" :class="{ fullscreen: !isHome }">
      <router-view />
    </v-container>
  </v-app>
</template>

<script>
export default {
  name: 'App',
  components: {
    navigation: () => import('./components/Navigation'),
  },
  computed: {
    isHome() {
      return this.$route.path === '/';
    },
  },
};
</script>

<style lang="scss">
* {
  ::-webkit-scrollbar {
    width: 0em;
    height: 0.8em;
    background-color: rgb(163, 163, 163);
    display: inline !important;
  }
  &::-webkit-scrollbar-thumb {
    height: 0.8em;
    background-color: rgb(63, 63, 63);
  }
}
.nav {
  max-height: 20vh;
}
.main {
  max-height: 90vh;
  overflow-y: auto;
  &::-webkit-scrollbar {
    width: 0.2em;
    border-radius: 0.2em;
    background-color: rgb(163, 163, 163);
  }
  &::-webkit-scrollbar-thumb {
    width: 0.2em;
    border-radius: 0.2em;
    background-color: rgb(63, 63, 63);
  }
  &.fullscreen {
    max-height: 100vh;
    min-height: 100vh;
  }
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  background: #f5f5f5;
}
</style>
